{% extends "admin_site/base.html" %}
{% load static staticfiles %}
{% block title %}Service Orders{% endblock %}
{% block container %}
    <section>
        <h2 class="font-weight-bold mt-lg-5 mb-5 pb-4"><strong>Appointments List</strong></h2>
        <div class="card card-cascade narrower z-depth-1">
            <!--Card image-->
            <div class="view gradient-card-header blue-gradient narrower py-2 mx-4 mb-3 d-flex justify-content-between align-items-center">
                <div>
                    {#                            <button type="button" class="btn btn-outline-white btn-rounded btn-sm px-2 waves-effect waves-light"><i class="fa fa-th-large mt-0"></i></button>#}
                    {#                            <button type="button" class="btn btn-outline-white btn-rounded btn-sm px-2 waves-effect waves-light"><i class="fa fa-columns mt-0"></i></button>#}
                </div>

                <a href="" class="white-text mx-3">Appointments List</a>

                <div>
                    <a type="button" class="btn btn-outline-white"
                       href="{% url 'admin_site:service_order_create' %}"><i class="fa fa-plus mt-0 mr-2"></i>Create</a>
                </div>
            </div>
            <!--/Card image-->
            <div class="px-4">
{#            <div class="col-lg-4 float-left">#}
{#                <select class="mdb-select" >#}
{#                    <option value="" disabled selected>Basic select</option>#}
{#                    <option value="1">USA</option>#}
{#                    <option value="2">Germany</option>#}
{#                    <option value="3">France</option>#}
{#                    <option value="3">Poland</option>#}
{#                    <option value="3">Japan</option>#}
{#                </select>#}
{#            </div>#}
{#            <div class="col-lg-4 float-right">#}
{#                <input type="search" class="form-control form-control-md float-right" placeholder="Search.." aria-controls="datatables">#}
{#            </div>#}
                <div class="table-responsive">
                    <!--Table-->
                    <table class="table table-hover mb-0">
                        <!--Table head-->
                        <thead>
                        <tr>
                            <th class="th-lg"><a>Service Name</a></th>
                            <th class="th-lg"><a href="">Client Name</a></th>
                            <th class="th-lg"><a href="">Client Phone</a></th>
                            <th class="th-lg"><a href="">Client Email</a></th>
                            <th class="th-lg"><a href="">Car Year</a></th>
                            <th class="th-lg"><a href="">Car Make</a></th>
                            <th class="th-lg"><a href="">Car Model</a></th>
                            <th class="th-lg"><a href="">Appointment Date</a></th>
                            <th class="th-lg"><a href="">Message</a></th>
                            <th class="th-lg"><a href="">Appointment Type</a></th>
                            <th class="th-lg"><a href="">Completed</a></th>
                            <th class="th-lg"><a href="">Created</a></th>
                            <th class="th-lg"><a href="">Action</a></th>
                        </tr>
                        </thead>
                        <!--Table head-->

                        <!--Table body-->
                        <tbody>
                        {% for object in objects %}
                            <tr>
                                <td>{{ object.name }}</td>
                                <td>{{ object.client_name }}</td>
                                <td>{{ object.client_phone }}</td>
                                <td>{{ object.client_mail }}</td>
                                <td>{{ object.car_year }}</td>
                                <td>{{ object.car_make }}</td>
                                <td>{{ object.car_model }}</td>
                                <td>{{ object.appointment_date }}</td>
                                <td>{{ object.message  }}</td>
                                <td>{{ object.appointment_type  }}</td>
                                <td>{{ object.completed  }}</td>
                                <td>{{ object.created  }}</td>
                                <td>
                                    <a href="{% url 'admin_site:service_order_edit' object.id %}" type="button"><i
                                            class="fa fa-edit" aria-hidden="true"></i></a>
                                    <a type="button" class="ml-3" data-toggle="modal" data-target="#modalConfirmDelete"><i
                                            class="fa fa-trash" aria-hidden="true"></i></a>
                                </td>
                                {% include 'admin_site/service_order/confirm_delete.html' %}
                            </tr>
                        {% endfor %}
                        </tbody>
                        <!--Table body-->
                    </table>
                    <!--Table-->
                </div>

                <hr class="my-0">

                <!--Bottom Table UI-->
                <div class="d-flex justify-content-between mt-3 mb-3 float-right">
                    <!--Name-->
                    {% include 'generics/pagination.html' %}
                </div>
                <!--Bottom Table UI-->

            </div>
        </div>

    </section>

{% endblock %}